Bug 139985 - system-config-bind fails at save when creating new domain
Summary: system-config-bind fails at save when creating new domain
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-19 01:38 UTC by Einer Petersen
Modified: 2007-11-30 22:10 UTC (History)
5 users (show)

Fixed In Version: s-c-b-4.0.0-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 22:38:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Einer Petersen 2004-11-19 01:38:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Environment:

 Fresh install of Fedora Core 3 with the updates through up2date.
 Loaded EVERYTHING!

Description of error:

When creating a new domain, everything works until attempt to save.
Started system-config-bind in as root, not su to root.
Program fails when attempt is made to save the configuration I get the
following output in the shell window:

[root@Brute ~]# system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 395, in
on_apply_and_save_activate
    return on_apply_activate()
  File "/usr/sbin/system-config-bind", line 383, in on_apply_activate
    cfg.saveLocal()
  File "/usr/share/system-config-bind/ConfNamed.py", line 432, in
saveLocal
    self.save()
  File "/usr/share/system-config-bind/ConfNamed.py", line 423, in save
    z.save(uid,gid)
  File "/usr/share/system-config-bind/ConfNamed.py", line 140, in save
    self.zone.save(uid,gid)
  File "/usr/share/system-config-bind/Zone.py", line 670, in save
    fd.write(self.out())
  File "/usr/share/system-config-bind/Zone.py", line 699, in out
    ret="%s%s\n" % (ret,i.out())
  File "/usr/share/system-config-bind/Zone.py", line 254, in out
    return "%s\t%s\t%s\t%s\t" % (self.owner, self.ttl, self.klass,
self.type)
AttributeError: NS instance has no attribute 'owner'



Version-Release number of selected component (if applicable):
system-config-bind-2.0.3-1

How reproducible:
Always

Steps to Reproduce:
1. in graphical envinronment as root
2. open a terminal window
3. execute system-config-bind
4. create a new domain, all steps required
5. hit the save button OR hit quit and save
    

Actual Results: 
1. /var/named/chroot/etc/named.conf is not modified/updated 
2. The zone files are not created
3. get the following error output in the window:

 [root@Brute ~]# system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 395, in
on_apply_and_save_activate
    return on_apply_activate()
  File "/usr/sbin/system-config-bind", line 383, in on_apply_activate
    cfg.saveLocal()
  File "/usr/share/system-config-bind/ConfNamed.py", line 432, in
saveLocal
    self.save()
  File "/usr/share/system-config-bind/ConfNamed.py", line 423, in save
    z.save(uid,gid)
  File "/usr/share/system-config-bind/ConfNamed.py", line 140, in save
    self.zone.save(uid,gid)
  File "/usr/share/system-config-bind/Zone.py", line 670, in save
    fd.write(self.out())
  File "/usr/share/system-config-bind/Zone.py", line 699, in out
    ret="%s%s\n" % (ret,i.out())
  File "/usr/share/system-config-bind/Zone.py", line 254, in out
    return "%s\t%s\t%s\t%s\t" % (self.owner, self.ttl, self.klass,
self.type)
AttributeError: NS instance has no attribute 'owner'



Expected Results:  
1. New zone files in /var/named/chroot/etc
2. Modification of /var/named/chroot/etc/named.conf to reflect new domain

Additional info:

When done via the Applications=>System Settings=>Server
Settings=>Domain Name System, application appears to hang when quit
and save is selected.  All other results are the same.

Comment 1 Jason Vas Dias 2004-11-19 14:20:41 UTC
Yes, this is a known problem

I am just completing a complete rewrite of system-config-bind,
which should be out next week, and which will not have these 
problems. 

I'll update this bug when it is available.


Comment 2 Al Dunsmuir 2004-12-10 04:40:01 UTC
I have the same problem, and can also test.

Comment 3 Stephen Houchen 2004-12-22 16:19:40 UTC
Jason, can we have an update for when the new version will be available?

Comment 4 Jason Vas Dias 2004-12-22 16:57:22 UTC
 I'm releasing the initial version (system-config-bind-4.0.0-1) today
 or tomorrow at the latest - I'll update all open SCB bugs when this
 is done.

Comment 5 Stephen Houchen 2004-12-27 00:37:51 UTC
I see the new version's RPM in the development directories.  Please
make it available as an update to Fedora Core 3.  Thanks.

Comment 6 Matt Florido 2005-03-07 15:56:34 UTC
(In reply to comment #4)
>  I'm releasing the initial version (system-config-bind-4.0.0-1) today
>  or tomorrow at the latest - I'll update all open SCB bugs when this
>  is done.

Any updates to this?

Comment 7 Jason Vas Dias 2005-06-01 22:38:50 UTC
Sorry this bug seems to have been lost.
The current system-config-bind-4.0.0-16 in FC3 does not have
this problem.


Note You need to log in before you can comment on or make changes to this bug.